#ifndef HIPKG_H_DEF
#define HIPKG_H_DEF

#include "TelepatiPkg.h"

using namespace std;

/**implementa il messaggio di saluto.
   Struttura: e' composto esclusivamente dall'header standard
*/

class HiPkg : public TelepatiPkg{
 public:
  /** Costruttore ordinario. @param a aibo di destinazione*/
  HiPkg(int a);
  /**Costruisce l'oggetto a partire dall'array restituito da
     getMsg(). @param ptr puntatore all'array di byte. @see
     getMsg()*/
  HiPkg(byte* ptr);

  /** Distruttore di Default.*/
  virtual ~HiPkg();

  /** Clonatore. Restituisce un clone dell'oggetto su cui e'
      chiamato.*/
  virtual TelepatiPkg* clone();

  /** Ritorna un array che rappresenta l'oggetto. Costruisce un array
      che rappresenta l'oggetto, l'array corrisponde ai dati spediti
      via rete. @return array di byte. @see HiPkg(byte* ptr)*/
  byte* getMsg();  
};

#endif
